package at.acdp.urweb;

import at.acdp.urweb.fhpp.FHMaster;
import at.acdp.urweb.fhpp.FHPP;
import at.acdp.urweb.web.XRServer;
import com.nmote.nanohttp.NanoServer;
import com.nmote.xr.XR;
import org.slf4j.LoggerFactory;

public class Main {
    private final static org.slf4j.Logger logger = LoggerFactory.getLogger(Main.class);
    public static void main(String[] args) {
        Params app = null;
        try {
            app = picocli.CommandLine.populateCommand(new Params(), args);
            var a=new FHMaster();
            a.start();
        } catch (Exception e) {
            logger.error("failed.", e);
            picocli.CommandLine.usage(new Params(), System.out);
            System.exit(1);
        }
        try {
            //new WebServer(app).start();
            NanoServer server = new NanoServer(app.port);
            server.add(XR.server(XRServer.class));
            server.start();
        } catch (Exception e) {
            logger.error("Server exited", e);
        }
    }
}
